/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file    usart.h
  * @brief   This file contains all the function prototypes for
  *          the usart.c file
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USART_H__
#define __USART_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* USER CODE BEGIN Includes */
#include <stdio.h>
/* USER CODE END Includes */

/* USER CODE BEGIN Private defines */
#define USART1_REC_LEN  200
void MX_USART3_EnableIT(void);
extern uint8_t  USART1_RX_BUF[USART1_REC_LEN];
extern void uart3_revice_my_data(void);
extern void Uart3_SendStr(uint8_t *SendBuf,uint16_t len);
void Uart3_SendByte(uint8_t dat);
void Uart4_SendByte(uint8_t dat);



//void Uart3_SendStr(uint8_t *SendBuf,uint16_t len);


/* USER CODE END Private defines */

void MX_UART4_Init(void);
void MX_USART3_UART_Init(void);

/* USER CODE BEGIN Prototypes */

/* USER CODE END Prototypes */

#ifdef __cplusplus
}
#endif

#endif /* __USART_H__ */

