/*
 * ABA2000.h
 *
 *  Created on: Feb 19, 2025
 *      Author: user
 */

#ifndef ACC_ABA2000_H_
#define ACC_ABA2000_H_

/*
 * ACC.h
 *
 *  Created on: Jan 26, 2024
 *      Author: j21800440
 */

#ifndef __ACCEL_H__
#define __ACCEL_H__

#include "stdint.h"
//#include "BSP_SYS.h"
#include "string.h"
//#include "BSP_DSPI.h"

typedef struct ACCEL_GLOBAL_DATA_T
{
	uint32_t FltDataForVerifyReg;
	uint32_t FltDataForSelfTest;
	uint32_t FltDataForSensorData;
	uint32_t FltDataForVerifyData;
}ACCEL_GLOBAL_DATA_T;

typedef enum{
	SENSOR_INIT_FAIL 	= 0X01,
	SENSOR_BIST_FAIL 	= 0X02,
	SENSOR_DATA_FAULT	= 0X04,
}SENSOR_FAULT_TYPE;

/** PUBLIC DATA **/
extern ACCEL_GLOBAL_DATA_T ACCEL;
extern uint8_t ACC_FALUT_CODE;

void ACCEL_RamInit(void);
void ACCEL_TimerRoutine(void);

extern BOOL ACCEL_IsStatusGood(void);

#endif




#endif /* ACC_ABA2000_H_ */
