/**
  **********************************************************************************************************************
  * @file    cTask_cfg.h
  * @brief   该文件提供任务时间片论功能配置
  * @author
  * @date
  **********************************************************************************************************************
  *
  **********************************************************************************************************************
  */

/* Define to prevent recursive inclusion -----------------------------------------------------------------------------*/
#ifndef __C_TASH_CFG_H
#define __C_TASH_CFG_H


/* 支持的最大通用任务数目 */
#define CTASK_SUPPORT_NUM       10

/* 支持的最大中断任务数目 */
#define CTASK_ISR_SUPPORT_NUM   5

/* 定义使用负载率计算, 若定义, 则会占用一个通用任务和一个中断任务 */
//#define CTASK_USE_LOAD_RATE

#endif // !__C_TASH_CFG_H

