/*
 * temp.h
 *
 *  Created on: Jan 22, 2024
 *      Author: liuzhimin
 */




#ifndef RTE_TEMP_H_
#define RTE_TEMP_H_


typedef enum {
	TEMP_NTC_NO_ERROR = 0x00,
	TEMP_NTC_NO_OPEN_ERROR,/*Open circuit error*/
	TEMP_NTC_NO_SHORT_BATT_ERROR,/*short circuit*/
	TEMP_NTC_NO_SHORT_GND_ERROR,/*Short to GND error*/
	TEMP_NTC_NO_OVER_CURRENT_ERROR,/*Over current*/
	TEMP_NTC_NO_RESERVE,/*Reserve*/
} TEMP_NTC_FAILURE_DIAG_T;

#define TEMP_NTC_OPEN_VLALUE_MAX    4000
#define TEMP_NTC_OPEN_VLALUE_MIN    70


void TEMP_RamInit(void);
void TEMP_Routine(void);
S16 TEMP_GetTempValue(void);
UNS8 TEMP_NtcFaultDetect(void);

#endif /* RTE_TEMP_H_ */
