#include "main.h"

#include "../rte/temp.h"
#include "../rte/fan.h"

s_BleProtocolData g_bpData;
uint8_t processFlag = 0;

uint8_t deviceID[4] = {0};
s_DeviceSts_Type sCurrDeiveSts;
uint8_t BleModuleConnStsBuf[16] = {0};
uint8_t BleConnSts = 0;  //disconnect
uint8_t BtWakeTimeCnt = 0;
static uint8_t BleResetFlag = 0;
static uint8_t BleResetCnt = 0;
s_UartTxCntl_Type txDevSts;
s_UartTxCntl_Type txAtAdvdat;


void BleDataInit(void)
{
//	uint32_t DevID = 0;

	memset(&g_bpData,0,sizeof(s_BleProtocolData));
	memset(&txDevSts,0,sizeof(txDevSts));
	memset(&txAtAdvdat,0,sizeof(txAtAdvdat));

	memset(&sCurrDeiveSts, 0, sizeof(s_DeviceSts_Type));
	sCurrDeiveSts.MajorVersionNum = MAIN_VERSION;	//主版本号
	sCurrDeiveSts.MinorVersionNum = SUB_VERSION;	//次版本号
	sCurrDeiveSts.SubdivisionVersionNum = REVISED_VERSION;	//细分版本号

//	DevID = *(uint32_t*)DEV_ID_ADDR;
//
//	deviceID[0] = DevID & 0xFF;
//	deviceID[1] = (DevID>>8) & 0xFF;
//	deviceID[2] = (DevID>>16) & 0xFF;
//	deviceID[3] = (DevID>>24) & 0xFF;
}

//void BleReadUUIDInit(void)
//{
//	char* data3 = "AT+UUIDCHAR1=";
//	char data4[16] = {0xFB,0x34,0x9B,0x5F,0x80,0x00,0x00,0x80,0x00,0x10,0x00,0x00,0xF1,0xFF,0x00,0x00};
//	uint8_t i=0,len=0;
//	uint8_t dataAll[50] = {0};
//
//	memcpy(&dataAll[len],data3,strlen(data3));
//	len += strlen(data3);
//	memcpy(&dataAll[len],data4,16);
//	len += 16;
//
//	for(i = 0;i < len;i++)
//		Uart4_SendByte(dataAll[i]);
//}

//void BleWriteUUIDInit(void)
//{
//	char* data3 = "AT+UUIDCHAR2=";
//	char data4[16] = {0xFB,0x34,0x9B,0x5F,0x80,0x00,0x00,0x80,0x00,0x10,0x00,0x00,0xF2,0xFF,0x00,0x00};
//	uint8_t i=0,len=0;
//	uint8_t dataAll[50] = {0};
//
//	memcpy(&dataAll[len],data3,strlen(data3));
//	len += strlen(data3);
//	memcpy(&dataAll[len],data4,16);
//	len += 16;
//
//	for(i = 0;i < len;i++)
//		Uart4_SendByte(dataAll[i]);
//}

//void BleServiceUUIDInit(void)
//{
//	char* data3 = "AT+UUIDSVR=";
//	char data4[16] = {0xFB,0x34,0x9B,0x5F,0x80,0x00,0x00,0x80,0x00,0x10,0x00,0x00,0xF0,0xFF,0x00,0x00};
//	uint8_t i=0,len=0;
//	uint8_t dataAll[50] = {0};
//
//	memcpy(&dataAll[len],data3,strlen(data3));
//	len += strlen(data3);
//	memcpy(&dataAll[len],data4,16);
//	len += 16;
//
//	for(i = 0;i < len;i++)
//		Uart4_SendByte(dataAll[i]);
//}

//void BleNameInit(void)
//{
//	char* data3 = "AT+NAME=CS1000";
//
//	for(uint8_t i = 0;i < strlen(data3);i++)
//		Uart4_SendByte(data3[i]);
//}

//void BleParamInit(void)
//{
//	uint8_t i=0,len=0;
//	uint8_t dataAll[50] = {0};
//	uint8_t cmd[10] = {0x41,0x54,0x2b,0x41,0x44,0x56,0x44,0x41,0x54,0x3d};	//AT+ADVDAT=
//	uint8_t data1[3] = {0x02,0x01,0x06};
//	uint8_t data2[13] = {0x0C,0xFF,0x42,0x47,0x11,0x01,0x30,0x30,0x30,0x30,0x32,0x32,0x38};
////	uint8_t *data3 = deviceID;
//	uint8_t data4[4] = {0x03,0x03,0xF0,0xFF};
//
//	memcpy(&dataAll[len],cmd,10);
//	len+=10;
//	memcpy(&dataAll[len],data1,3);
//	len+=3;
//	memcpy(&dataAll[len],data2,13);
//	len+=13;
////	memcpy(&dataAll[len],data3,4);
////	len+=4;
//	memcpy(&dataAll[len],data4,4);
//	len+=4;
//	for(i = 0;i < len;i++)
//		Uart4_SendByte(dataAll[i]);
//}

void SetBleAdvDevId(void)
{
	uint8_t i=0,len=0;
	uint8_t m, n = 0;
	uint8_t dataAll[26] = {0};
	uint8_t cmd[10] = {0x41,0x54,0x2b,0x41,0x44,0x56,0x44,0x41,0x54,0x3d};	//AT+ADVDAT=
	uint8_t data1[3] = {0x02,0x01,0x06};
	uint8_t data2[13] = {0x0C,0xFF,0x42,0x47,0x11,0x01,0x30,0x30,0x30,0x30,0x30,0x30,0x30};

	data2[6] = 0x30 + (deviceID[0] & 0x0F);
	for(m = 1; m < 4; m++)
	{
		data2[6 + m + n] = 0x30 + ((deviceID[m] & 0xF0) >> 4);
		data2[6 + m + n + 1] = 0x30 + (deviceID[m] & 0x0F);
		n++;
	}

	memcpy(&dataAll[len], cmd, 10);
	len+=10;
	memcpy(&dataAll[len], data1, 3);
	len+=3;
	memcpy(&dataAll[len], data2, 13);
	len+=13;
	for(i = 0;i < len;i++)
		Uart4_SendByte(dataAll[i]);
}

static uint8_t GetFanLevel(void)
{
	uint8_t ret = 0;

	ret = Fan_GetMode();
	if(ret > 3)  //4-Auto-Cancel
	{
		ret = 0;
	}

	return ret;
}

static uint8_t GetTempSensorSts(void)
{
	uint8_t ret = 0;

	if((TEMP_GetTempValue()> -40) && (TEMP_GetTempValue() < 120))
	{
		ret = 0;
	}
	else
	{
		ret =  1;
	}

	return ret;
}

static uint8_t GetLegLockSwitchSts(void)
{
	uint8_t ret = 0;

	ret = AdKey_GetSwitchVal(ADKEY_SW3_LEG); //2-0(ON)
	if(ret == 2)
	{
		ret = 1;  //OFF - Pressed
	}
	else
	{
		ret = 0; //ON
	}

	return ret;
}

static uint8_t GetFrontBackSwitchSts(void)
{
	uint8_t ret = 0;

	ret = AdKey_IsFrontORBackGate(AdKey_GetSwitchVal(ADKEY_SW3_DIR0), AdKey_GetSwitchVal(ADKEY_SW3_DIR1)); //2-0,3-1
	if(ret == 2)
	{
		ret = 30;  //Front pressed
	}
	else if(ret == 3)
	{
		ret = 90; //Back pressed
	}
	else
	{
		ret = 255; //All not pressed
	}

	return ret;
}

static uint8_t GetBuckleSwitchSts(void)
{
	uint8_t ret = 0;

	ret = AdKey_GetSwitchVal(ADKEY_SW2_BUCKLE);  //0-OFF, 1-ON
	if(ret == 0)
	{
		ret = 0;  //Unlock
	}
	else
	{
		ret = 1; //Lock
	}

	return ret;
}

static uint8_t GetPollowSwitchSts(void)
{
	uint8_t ret = 0;

	ret = AdKey_GetSwitchVal(ADKEY_SW3_PILLOW); //2-0
	if(ret == 2)
	{
		ret = 0;  //ON
	}
	else
	{
		ret = 1; //OFF
	}

	return ret;
}

static uint8_t Get5vSupplySts(void)
{
	uint8_t ret = 0;

	if(ADK2_VALUE_MODE_ON == AdKey_GetSwitchVal(ADKEY_SW2_5V))
	{
		ret = 1;  //ON
	}
	else
	{
		ret = 0; //OFF
	}

	return ret;
}

void BleInit(void)
{
	BleDataInit();
//	BleParamInit();
//	BleNameInit();
//	BleServiceUUIDInit();
//	BleWriteUUIDInit();
//	BleReadUUIDInit();
}

void BleSendData(uint8_t len,uint8_t* data)
{
	uint8_t i = 0;

	for(i = 0;i < len;i++)
		Uart4_SendByte(data[i]);
}

void BleTxDataProcess(uint8_t cmd,uint8_t datalen,uint8_t* data)
{
	uint8_t sdata[20];
	uint8_t i = 0;
	uint8_t ulen = 0;
	uint8_t ucrc = 0;

	if(datalen > 15)
	{
		return;
	}

	sdata[ulen++] = 0xAA;
	ucrc += 0xAA;

	sdata[ulen++] = cmd;
	ucrc += cmd;

	for(i = 0;i < datalen;i++)
	{
		sdata[i+ulen] = data[i];
		ucrc += data[i];
	}
	ulen += datalen;

	sdata[ulen++] = 0xED;
	ucrc += 0xED;
	sdata[ulen++] = (ulen + 1);	   //len include last checksum
	ucrc += (ulen + 1);

	sdata[ulen++] = ucrc;	//crc

	BleSendData(ulen,sdata);
}

void ProcessBleConnSts(uint8_t *buff, uint8_t len)
{
	if(len)
	{
		if(len == 12)
		{
			BleConnSts = 1;
		}
		else if((len == 10) && (memcmp("Disconnect", buff, strlen("Disconnect")) == 0))
		{
			BleConnSts = 0;
		}
	}
	else
	{
		if(txAtAdvdat.enable)
		{
			txAtAdvdat.recvRespFlag = 1;
		}
	}
}

void BleRxDataProcess(uint8_t rxd)
{
	static uint8_t status = 0; //0:start 1:header 2:data 3:end
	static uint8_t i = 0;
	static uint8_t crc = 0;

	switch(status)
	{
	case 0://start
		if(rxd == 0xaa)
		{
			g_bpData.header = rxd;

			status = 1;
			crc += rxd;
			i = 0;
		}
		break;
	case 1://header
		g_bpData.cmd = rxd;

		status = 2;
		crc += rxd;
		break;
	case 2://data
		if(rxd == 0xED)
		{//end
			g_bpData.end = rxd;

			status = 3;
			crc += rxd;
		}
		else
		{
			g_bpData.data[i++] = rxd;
			crc += rxd;
		}
		break;
	case 3://length
		g_bpData.length = rxd;

		status = 4;
		crc += rxd;
		break;
	case 4://checksum
		g_bpData.checksum = rxd;

		if((g_bpData.checksum == crc) && (g_bpData.length = (i + 5)))
		{
			processFlag = 1;
		}

		status = 0;
		i = 0;
		crc = 0;
		break;
	default:
		status = 0;
		i = 0;
		crc = 0;
		break;
	}
}

void BleModuleConnStsRx(uint8_t rxd)
{
	static uint8_t status = 0;
	static uint8_t bufIdx = 0;

	switch(status)
	{
	case 0://start
		if(rxd == '+')
		{
			status++;
		}
		break;
	case 1:
		if(rxd == 'O')
		{
			status++;
		}
		else
		{
			status = 0;
		}
		break;
	case 2:
		if(rxd == 'K')
		{
			status++;
		}
		else
		{
			status = 0;
		}
		break;
	case 3://data
		if(rxd == 0x0D)
		{
			status++;
		}
		else if(rxd == '=')
		{
			bufIdx = 0;
		}
		else
		{
			BleModuleConnStsBuf[bufIdx++] = rxd;
		}
		break;
	case 4:
		if(rxd == 0x0A)
		{
			ProcessBleConnSts(BleModuleConnStsBuf, bufIdx);
			bufIdx = 0;
			status = 0;
			memset(BleModuleConnStsBuf, 0, sizeof(BleModuleConnStsBuf));
		}
		else
		{
			status = 0;
			bufIdx = 0;
			memset(BleModuleConnStsBuf, 0, sizeof(BleModuleConnStsBuf));
		}
		break;
	default:
		break;
	}
}

void BleCmdProcess(void)
{
	uint8_t temp[20] = {0};
	uint32_t tempID = 0;
	uint32_t tempFAN = 0;

	if(processFlag)
	{
		switch(g_bpData.cmd)
		{
		case DEV_STATUS_ALL_GET:
			if(g_bpData.length == 5)
			{
				temp[0] = AdKey_GetSwitchVal(ADKEY_SW2_SOS) | /*入座状态*/ \
						AdKey_IsLeftAndRightGateStaus() << 1 | /*isofix*/ \
						GetLegLockSwitchSts() << 2 | /*支腿锁定开关*/ \
						AdKey_GetSwitchVal(ADKEY_SW2_BUCKLE) << 3 | /*搭扣开关*/ \
						Get5vSupplySts() << 4 | /*5V供电状态*/ \
						REC_GetFireOnFlg() << 5 | /*气囊是否点爆过*/ \
						AdKey_GetDeviceStatus() << 6 | /*气囊点爆状态*/ \
						GetPollowSwitchSts() << 7;	/*头托开关*/

				tempFAN = Fan_GetMode();
				if(tempFAN > 3)
					tempFAN = 3;
				if(TEMP_GetTempValue()> -40 && TEMP_GetTempValue() < 120)
					temp[1] = tempFAN<<2/*通风状态*/ | 0<<4 /*温度传感器状态*/;
				else
					temp[1] = tempFAN<<2/*通风状态*/ | 1<<4 /*温度传感器状态*/;
				temp[2] = GetFrontBackSwitchSts();	//前后向开关
				PWR_GetElecPtc(&temp[3]); //电量
				temp[4] = TEMP_GetTempValue();	//温度
				temp[5] = MAIN_VERSION;	//主版本号
				temp[6] = SUB_VERSION;	//次版本号
				temp[7] = REVISED_VERSION;	//细分版本号
				temp[8] = 0;	//Reserved
				BleTxDataProcess(DEV_STATUS_ALL_GET,9,temp);
				txDevSts.waitRespTimeCnt = 1;
				txDevSts.retryCnt = 0;
				txDevSts.recvRespFlag = 0;
				processFlag = 0;
			}
			else if(g_bpData.length == 14)
			{
				// received ACK
				txDevSts.recvRespFlag = 1;
				processFlag = 0;
			}
			break;
		case DEV_VENTILATE_SET:	//通风
			Fan_Mode(g_bpData.data[0]);
			BleTxDataProcess(DEV_VENTILATE_SET,1,g_bpData.data);
			processFlag = 0;
			break;
//		case DEV_CONTROL:	//开关机
//			//硬件未实现
//			BleTxDataProcess(DEV_CONTROL,1,g_bpData.data);
//			processFlag = 0;
//			break;
		case DEV_ID_SET:
			memcpy(deviceID,g_bpData.data,4);
			SetBleAdvDevId();
			txAtAdvdat.enable = APP_WRITE_SN;
			txAtAdvdat.waitRespTimeCnt = 1;
			txAtAdvdat.retryCnt = 0;
			txAtAdvdat.recvRespFlag = 0;
			tempID = *((uint32_t*)deviceID);
			MX_Flash_WR_DevID(tempID);
			processFlag = 0;
			break;
		default :
			processFlag = 0;
			break;
		}
	}
}

void BleReponseDevIdSet(void)
{
	BleTxDataProcess(DEV_ID_SET, 4, deviceID);
}

//uint8_t GetBleConnSts(void)
//{
//	uint8_t gpioLevel = Bit_RESET;
//
//	gpioLevel = LL_GPIO_IsInputPinSet(BT_CONN_PB7_GPIO_Port, BT_CONN_PB7_Pin);
//	if(gpioLevel == Bit_SET)
//	{
//		return 1;
//	}
//	else
//	{
//		return 0;
//	}
//}

extern UNS16 EDR_BleActiveCnt;
void ProcessBleConnDisconn(void)
{
	static uint8_t gpioLevel = Bit_RESET;
	static uint8_t lastGpioLevel = Bit_RESET;
	static uint8_t stateHoldCnt = 0;

	gpioLevel = LL_GPIO_IsInputPinSet(BT_CONN_PB7_GPIO_Port, BT_CONN_PB7_Pin);
	if(gpioLevel != lastGpioLevel)
	{
		lastGpioLevel = gpioLevel;
		stateHoldCnt = 0;
		//DEBUG_UartWakeup(1);
	}
	else
	{
		stateHoldCnt++;
		if(stateHoldCnt >= 15) //30ms, Filter 20ms Wake-Up single
		{
			if(gpioLevel)
			{
				BleConnSts = TRUE;
			}
			else
			{
				BleConnSts = FALSE;
			}
		}
	}
}

static void ProcessBleModuleReset(void)
{
	if((BleResetFlag == 0) &&(TRUE != PWR_getBatEmptyStats()))
	{
		BleResetCnt++;
		LL_GPIO_ResetOutputPin(BT_Reset_PC12_GPIO_Port, BT_Reset_PC12_Pin);
		if(BleResetCnt > 6) //BT_Reset set high after set low >200ms
		{
			LL_GPIO_SetOutputPin(BT_Reset_PC12_GPIO_Port, BT_Reset_PC12_Pin);
			BleResetFlag = 1;
			BleResetCnt = 0;
		}
	}
}

static void ProcessUartTxDevStsResend(void)
{
	uint8_t temp[9] = {0};

	if(txDevSts.recvRespFlag) /* Received response of the peer and stop re-send. */
	{
		txDevSts.recvRespFlag = 0;
		txDevSts.waitRespTimeCnt = 0;
		txDevSts.enable = 0;
	}

	if(txDevSts.waitRespTimeCnt)  //50ms
	{
		txDevSts.waitRespTimeCnt++;
		if(txDevSts.waitRespTimeCnt > 8) //300ms timeout, re-send once
		{
			memcpy(temp, &sCurrDeiveSts, sizeof(s_DeviceSts_Type));
			BleTxDataProcess(DEV_STATUS_ALL_GET, 9, temp);
			txDevSts.retryCnt++;
			if(txDevSts.retryCnt < RESEND_DEV_STS_CNT)
			{
				txDevSts.waitRespTimeCnt = 1;
			}
			else
			{
				txDevSts.waitRespTimeCnt = 0;
				txDevSts.enable = 0;
			}
		}
	}
}

static void ProcessUartTxAtAdvdatResend(void)
{
	UNS32 devid = (deviceID[0]<<24) + (deviceID[1]<<16) + (deviceID[2]<<8) + deviceID[3];

	if((txAtAdvdat.enable == UART_WRITE_SN) || (txAtAdvdat.enable == APP_WRITE_SN))
	{
		if(txAtAdvdat.recvRespFlag) /* Received AT response OK, UART send APP command response */
		{
			if(txAtAdvdat.enable == UART_WRITE_SN)
			{
				debug("\r\nid$%07x$Success$\r\n",(int)devid);
			}
			else if(txAtAdvdat.enable == APP_WRITE_SN)
			{
				BleReponseDevIdSet();
			}
			memset(&txAtAdvdat, 0, sizeof(txAtAdvdat));
		}

		if(txAtAdvdat.waitRespTimeCnt) //50ms
		{
			txAtAdvdat.waitRespTimeCnt++;
			if(txAtAdvdat.waitRespTimeCnt > 8) //300ms timeout, re-send once
			{
				SetBleAdvDevId();
				txAtAdvdat.retryCnt++;
				if(txAtAdvdat.retryCnt < RESEND_AT_ADVDAT_CNT)
				{
					txAtAdvdat.waitRespTimeCnt = 1;
				}
				else
				{
					if(txAtAdvdat.enable == UART_WRITE_SN)
					{
						debug("\r\nid$%07x$Fail$\r\n",(int)devid);
					}
					else if(txAtAdvdat.enable == APP_WRITE_SN)
					{
						BleReponseDevIdSet();
					}
					memset(&txAtAdvdat, 0, sizeof(txAtAdvdat));
				}
			}
		}
	}
}

void BleReportDeviceSts(void)
{
	uint8_t TmpSeatedSts = 0;
	uint8_t TmpIsoFixSwitchSts = 0;
	uint8_t TmpLegLockedSwitchSts = 0;
	uint8_t TmpBuckleSwitchSts = 0;
	uint8_t Tmp5vSupplySts = 0;
	uint8_t TmpForntBackSwitchSts = 0;
	uint8_t TmpIsAirbagFired = 0;
	uint8_t TmpAirbagFireSts = 0;
	uint8_t TmpPillowSwitchSts = 0;
	uint8_t TmpFanLvl = 0;
	uint8_t TmpTempSensorSts = 0;
	uint8_t TmpBatterPercent = 0;
	uint8_t TmpTempVal = 0;
	uint8_t temp[9] = {0};

	ProcessBleModuleReset();

	if(BleConnSts)
	{
		TmpSeatedSts = AdKey_GetSwitchVal(ADKEY_SW2_SOS); //0-not seat, 1-seated
		TmpIsoFixSwitchSts = AdKey_IsLeftAndRightGateStaus(); //1-ON, 0-OFF
		TmpLegLockedSwitchSts = GetLegLockSwitchSts();
		TmpBuckleSwitchSts = GetBuckleSwitchSts();
		Tmp5vSupplySts = Get5vSupplySts();
		TmpIsAirbagFired = REC_GetFireOnFlg();/*DEBUG_ReadEDRfire();*/
		TmpAirbagFireSts = AdKey_GetDeviceStatus();
		TmpPillowSwitchSts = GetPollowSwitchSts();
		TmpFanLvl = GetFanLevel();
		TmpTempSensorSts = GetTempSensorSts();
		TmpForntBackSwitchSts = GetFrontBackSwitchSts();
		PWR_GetElecPtc(&TmpBatterPercent);
		TmpTempVal = (uint8_t)TEMP_GetTempValue();

		if((sCurrDeiveSts.Data0.SeatedState != TmpSeatedSts) || \
			(sCurrDeiveSts.Data0.IsoFixSwitch != TmpIsoFixSwitchSts) || \
			(sCurrDeiveSts.Data0.LegLockedSwitch != TmpLegLockedSwitchSts) || \
			(sCurrDeiveSts.Data0.BuckleSwitch != TmpBuckleSwitchSts) || \
			(sCurrDeiveSts.Data0.V5SupplySts != Tmp5vSupplySts) || \
			(sCurrDeiveSts.Data0.IsAirbagFired != TmpIsAirbagFired) || \
			(sCurrDeiveSts.Data0.AirbagFireState != TmpAirbagFireSts) || \
			(sCurrDeiveSts.Data0.PillowSwitch != TmpPillowSwitchSts) || \
			(sCurrDeiveSts.Data1.FanLevel != TmpFanLvl) || \
			(sCurrDeiveSts.BatteryLevel != TmpBatterPercent) || \
			(sCurrDeiveSts.TempVal != TmpTempVal)  || \
			(sCurrDeiveSts.FrontBackSwitch != TmpForntBackSwitchSts) || \
			(sCurrDeiveSts.Data1.TempSensorSts != TmpTempSensorSts)
		)
		{
			sCurrDeiveSts.Data0.SeatedState = TmpSeatedSts;
			sCurrDeiveSts.Data0.IsoFixSwitch = TmpIsoFixSwitchSts;
			sCurrDeiveSts.Data0.LegLockedSwitch = TmpLegLockedSwitchSts;
			sCurrDeiveSts.Data0.BuckleSwitch = TmpBuckleSwitchSts;
			sCurrDeiveSts.Data0.V5SupplySts = Tmp5vSupplySts;
			sCurrDeiveSts.Data0.IsAirbagFired = TmpIsAirbagFired;
			sCurrDeiveSts.Data0.AirbagFireState = TmpAirbagFireSts;
			sCurrDeiveSts.Data0.PillowSwitch = TmpPillowSwitchSts;
			sCurrDeiveSts.Data1.FanLevel = TmpFanLvl;
			sCurrDeiveSts.Data1.TempSensorSts = TmpTempSensorSts;
			sCurrDeiveSts.FrontBackSwitch = TmpForntBackSwitchSts;
			sCurrDeiveSts.BatteryLevel = TmpBatterPercent;
			sCurrDeiveSts.TempVal = TmpTempVal;

			BtWakeTimeCnt = 1;
			LL_GPIO_ResetOutputPin(BT_WAKE_PB6_GPIO_Port, BT_WAKE_PB6_Pin); //Set Wake-Up pin to low
			txDevSts.enable = 1;
		}
	}

	if(BtWakeTimeCnt /*&& BleResetFlag*/)
	{
		BtWakeTimeCnt++;
		if(BtWakeTimeCnt > 11) //WAKE_UP pin set low >500ms
		{
			BtWakeTimeCnt = 0;
			LL_GPIO_SetOutputPin(BT_WAKE_PB6_GPIO_Port, BT_WAKE_PB6_Pin); //Set Wake-Up pin to high after 300ms
			if(txDevSts.enable && BleConnSts)
			{
				memcpy(temp, &sCurrDeiveSts, sizeof(s_DeviceSts_Type));
				BleTxDataProcess(DEV_STATUS_ALL_GET, 9, temp);
				txDevSts.waitRespTimeCnt = 1;
				txDevSts.retryCnt = 0;
				txDevSts.recvRespFlag = 0;
			}
			if(txAtAdvdat.enable == UART_WRITE_SN)
			{
				SetBleAdvDevId();
				txAtAdvdat.waitRespTimeCnt = 1;
				txAtAdvdat.retryCnt = 0;
				txAtAdvdat.recvRespFlag = 0;
			}
		}
	}

	ProcessUartTxDevStsResend();
	ProcessUartTxAtAdvdatResend();
}
