#include "main.h"

extern CAW_T CAW;

EDR_AccData EDR_AccDataBuf[3][500] = {0};	//500/250ms   40/20ms
unsigned short EDR_AccDataBuf_Index = 0;
unsigned char EDR_AccDataBuf_Multi_Index = 0;
unsigned char saveFlag = 0;
unsigned char saveFlag_Multi_Index = 0;

void SaveFireOnFlag(void)
{
	Flash_WR_FireFlag(1);
}

void EdrInit(void)
{

}

void EdrDataGetFromAlgo(void)
{
	EDR_AccData tmp;
	static UNS8 algoOnFlag = FALSE;

	if(algoOnFlag != TRUE)
		algoOnFlag = FRONT_ALGO_ON;

	if(TRUE == algoOnFlag)
	{
		tmp.X = CAW.AccData.X;
		tmp.Y = CAW.AccData.Y;
		EDR_AccDataBuf[EDR_AccDataBuf_Multi_Index][EDR_AccDataBuf_Index++] = tmp;
		if(EDR_AccDataBuf_Index == 500)
		{
			saveFlag = 1;
			EDR_AccDataBuf_Index = 0;
			algoOnFlag = FALSE;
			saveFlag_Multi_Index = EDR_AccDataBuf_Multi_Index;
			EDR_AccDataBuf_Multi_Index++;
			if(EDR_AccDataBuf_Multi_Index == 3) EDR_AccDataBuf_Multi_Index = 0;
		}
	}
	else
	{
		tmp.X = CAW.AccData.X;
		tmp.Y = CAW.AccData.Y;
		EDR_AccDataBuf[EDR_AccDataBuf_Multi_Index][EDR_AccDataBuf_Index++] = tmp;
		if(EDR_AccDataBuf_Index == 40)
		{
			EDR_AccDataBuf_Index--;
			memcpy(EDR_AccDataBuf[EDR_AccDataBuf_Multi_Index],EDR_AccDataBuf[EDR_AccDataBuf_Multi_Index]+1,156);
		}
	}
}

void EdrDataProcess(void)
{
	if(saveFlag)
	{
		if(FRONT_DECISION_LEVEL[0]==TRUE)
		{
			SaveFireOnFlag();
			FlashEDdrAccData_WR(1,EDR_AccDataBuf[saveFlag_Multi_Index],500);
		}
		else
		{
			FlashEDdrAccData_WR(0,EDR_AccDataBuf[saveFlag_Multi_Index],500);
		}

		saveFlag = 0;
	}
}
