/*****************************************************************************
 *	Copyright
 *
 *	DESCRIPTION:
 *
 *	MOP: 
 *
 *	VERSION : $Id:
 *
 *****************************************************************************/
#ifndef	__TAF_H__
#define	__TAF_H__

#include "main.h"
#include "caw_config.h"




/**	Public MACROS(For ROM parameters)**/
/**From calibration file**/
#define	SDM_INVERT                                      (CALIB_FROM.Data.TafCal.el.SDM_Invert)
#define	FIS_INVERT                                      (CALIB_FROM.Data.TafCal.el.FIS_Invert)
#define	FIS_WINDOWSIZE                                  (CALIB_FROM.Data.TafCal.el.FIS_WindowSize)
#define	FIS_AMA_GAIN                                    (CALIB_FROM.Data.TafCal.el.FIS_AMA_Gain)
#define	VSENSOR_GAIN                                    (CALIB_FROM.Data.TafCal.el.VSensor_Gain)
#define	DISP_SHIFT                                      (CALIB_FROM.Data.TafCal.el.Disp_Shift)
#define	VEL_SHIFT                                       (CALIB_FROM.Data.TafCal.el.Vel_Shift)
#define	FRONT_ALGO_ENTRY                                (CALIB_FROM.Data.TafCal.el.Front_Algo_Entry)
#define	REAR_ALGO_ENTRY                                 (CALIB_FROM.Data.TafCal.el.Rear_Algo_Entry)
#define	DEAD_ZONE                                       (CALIB_FROM.Data.TafCal.el.Dead_Zone)
#define	VEL_DEAD_ZONE                                   (CALIB_FROM.Data.TafCal.el.Vel_Dead_Zone)
#define	FRONT_ALGO_EXIT_REGION                          (CALIB_FROM.Data.TafCal.el.Front_Algo_Exit_Region)
#define	FRONT_ALGO_EXIT_REGION_COUNT                    (CALIB_FROM.Data.TafCal.el.Front_Algo_Exit_Region_Count)
#define	FIS_AMA_ABS                    					(CALIB_FROM.Data.TafCal.el.FIS_AMA_Abs)
#define	FRONT_ALGO_MAX_COUNT                            (CALIB_FROM.Data.TafCal.el.Front_Algo_Max_Count)
#define	FRONT_DEPLOY_MIN_COUNT                          (CALIB_FROM.Data.TafCal.el.Front_Deploy_Min_Count)
#define	FRONT_NEAR_EDR_RECORD_VELOCITY                  (CALIB_FROM.Data.TafCal.el.Front_EDR_Record_Velocity)
#define	FRONT_LOCK_EDR_RECORD_VELOCITY                  (CALIB_FROM.Data.TafCal.el.Front_Lock_EDR_Record_Velocity)
#define	FRONT_VELOCITY_KPH_DIVIDE                       (CALIB_FROM.Data.TafCal.el.Front_Velocity_KPH_Divide)
#define	ACU_LPF_SHIFT                                 	(CALIB_FROM.Data.TafCal.el.ACU_LPF_Shift)
#define	FIS_LPF_SHIFT                                 	(CALIB_FROM.Data.TafCal.el.FIS_LPF_Shift)
#define	ACU_LPF_DIVIDE                                  (CALIB_FROM.Data.TafCal.el.ACU_LPF_Divide)
#define	ACUX_EDR_GB_DIVIDE                              (CALIB_FROM.Data.TafCal.el.ACUX_EDR_GB_Divide)
#define	FIS_LPF_DIVIDE                                  (CALIB_FROM.Data.TafCal.el.FIS_LPF_Divide)
#define	SPRING_SWITCH_COUNT                             (CALIB_FROM.Data.TafCal.el.Spring_Switch_Count)
#define	DISP_1                                          (CALIB_FROM.Data.TafCal.el.Disp_1)
#define	DISP_2                                          (CALIB_FROM.Data.TafCal.el.Disp_2)
#define	DISP_3                                          (CALIB_FROM.Data.TafCal.el.Disp_3)
#define	DISP_4                                          (CALIB_FROM.Data.TafCal.el.Disp_4)
#define	VEL_1                                           (CALIB_FROM.Data.TafCal.el.Vel_1)
#define	VEL_2                                           (CALIB_FROM.Data.TafCal.el.Vel_2)
#define	VEL_3                                           (CALIB_FROM.Data.TafCal.el.Vel_3)
#define	VEL_4                                           (CALIB_FROM.Data.TafCal.el.Vel_4)
#define	STG2_MAX_DELAY                                  (CALIB_FROM.Data.TafCal.el.Stg2_Max_Delay)
#define	STG3_MAX_DELAY                                  (CALIB_FROM.Data.TafCal.el.Stg3_Max_Delay)
#define	MU_STG1_N_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg1_N_X)
#define	MU_STG1_N_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg1_N_Y)
#define	MU_STG1_S_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg1_S_X)
#define	MU_STG1_S_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg1_S_Y)
#define	MU_STG2_N_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg2_N_X)
#define	MU_STG2_N_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg2_N_Y)
#define	MU_STG2_S_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg2_S_X)
#define	MU_STG2_S_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg2_S_Y)
#define	MU_STG3_N_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg3_N_X)
#define	MU_STG3_N_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg3_N_Y)
#define	MU_STG3_S_X                                     (CALIB_FROM.Data.TafCal.el.MU_Stg3_S_X)
#define	MU_STG3_S_Y                                     (CALIB_FROM.Data.TafCal.el.MU_Stg3_S_Y)
#define	VSEN_S_X                                        (CALIB_FROM.Data.TafCal.el.Vsen_S_X)
#define	VSEN_S_Y                                        (CALIB_FROM.Data.TafCal.el.Vsen_S_Y)
#define	FIS_SWITCH_X                                    (CALIB_FROM.Data.TafCal.el.FIS_Switch_X)
#define	FIS_SWITCH_Y                                    (CALIB_FROM.Data.TafCal.el.FIS_Switch_Y)
#define	MU_PWR_S_X                                    (CALIB_FROM.Data.TafCal.el.MU_Pwr_S_X)
#define	MU_PWR_S_Y                                    (CALIB_FROM.Data.TafCal.el.MU_Pwr_S_Y)
#define	BINSTARTVSEN                                    (CALIB_FROM.Data.TafCal.el.BinStartVsen)
extern UNS8 Bin_Count[3];
#define	BIN_COUNT                                   	(Bin_Count)
//#define	BIN_COUNT                                   	(CALIB_FROM.Data.TafCal.el.Bin1_Count)
#define	BIN_SIZE                                   		(CALIB_FROM.Data.TafCal.el.Bin_Size)
#define	MU_REAR_X                                       (CALIB_FROM.Data.TafCal.el.MU_Rear_X)
#define	MU_REAR_Y                                       (CALIB_FROM.Data.TafCal.el.MU_Rear_Y)
#define	VSEN_REAR_X                                     (CALIB_FROM.Data.TafCal.el.Vsen_Rear_X)
#define	VSEN_REAR_Y                                     (CALIB_FROM.Data.TafCal.el.Vsen_Rear_Y)
#define	VSEN_N                                          (CALIB_FROM.Data.TafCal.el.Vsen_N)
#define PWRALG_RESET_LIMIT								(CALIB_FROM.Data.TafCal.el.PwrAlg_Reset_Limit)
#define	MU_STG1_N_X_LENGTH                      		(sizeof(MU_STG1_N_X)/sizeof(MU_STG1_N_X[0]))
#define	MU_STG1_S_X_LENGTH                      		(sizeof(MU_STG1_S_X)/sizeof(MU_STG1_S_X[0]))
#define	MU_STG2_N_X_LENGTH                      		(sizeof(MU_STG2_N_X)/sizeof(MU_STG2_N_X[0]))
#define	MU_STG2_S_X_LENGTH                      		(sizeof(MU_STG2_S_X)/sizeof(MU_STG2_S_X[0]))
#define	MU_STG3_N_X_LENGTH                      		(sizeof(MU_STG3_N_X)/sizeof(MU_STG3_N_X[0]))
#define	MU_STG3_S_X_LENGTH                      		(sizeof(MU_STG3_S_X)/sizeof(MU_STG3_S_X[0]))
#define	VSEN_S_X_LENGTH                      			(sizeof(VSEN_S_X)/sizeof(VSEN_S_X[0]))
#define	FIS_SWITCH_X_LENGTH                      		(sizeof(FIS_SWITCH_X)/sizeof(FIS_SWITCH_X[0]))
#define	MU_PWR_S_X_LENGTH                      			(sizeof(MU_PWR_S_X)/sizeof(MU_PWR_S_X[0]))
#define	BIN_COUNT_LENGTH                  				(sizeof(BIN_COUNT)/sizeof(BIN_COUNT[0]))
#define	MU_REAR_X_LENGTH                      			(sizeof(MU_REAR_X)/sizeof(MU_REAR_X[0]))
#define	VSEN_REAR_X_LENGTH                      		(sizeof(VSEN_REAR_X)/sizeof(VSEN_REAR_X[0]))
#define	VSEN_N_LENGTH                      				(sizeof(VSEN_N)/sizeof(VSEN_N[0]))
/***********************************************************************************/

#define TAF_LEVEL_0 0
#define TAF_LEVEL_1 1
#define TAF_LEVEL_2 2

/*GB EDR���ٶ���ز�������*/


#define EDR_8_BIT_ACC_GB_EDR_MULTIPLIER 1


#define EDR_8_BIT_ACC_GB_EDR_OFFSET 0


#define EDR_8_BIT_ACC_GB_EDR_MULTIPLIER_FA1X 2


#define EDR_8_BIT_ACC_GB_EDR_DIVIDER_FA1X 5


#define EDR_8_BIT_ACC_GB_EDR_OFFSET_FA1X 127




#define EDR_8_BIT_VEL_GB_EDR_MULTIPLIER 1


#define EDR_8_BIT_VEL_GB_EDR_OFFSET 127


#define EDR_8_BIT_GB_EDR_MAX 253
#define EDR_8_BIT_GB_EDR_MIN 0



#define EDR_8_BIT_MAX 127
#define EDR_8_BIT_MIN (-128)//

/**	Public MACROS(For RAM parameters)**/
#define	FRONT_ALGO_1MS_COUNTER                			(TAF.Algo_1ms_Counter)
#define	FRONT_ALGO_ENTERED_COUNTER            			(TAF.Reset_After_Force_Exit.Reset_After_Exit.Algo_Entered_Counter)
#define	PWR_ALGO_ENTERED_COUNTER            			(TAF.Reset_After_Force_Exit.Reset_After_Exit.Pwr_Entered_Counter)
#define	BIN_LIMIT               						(TAF.Bin_Limit)
#define	FRONT_DECISION_LEVEL                   			(TAF.Reset_After_Force_Exit.DecisionLevel)
#define	REAR_DEPLOY                     				(TAF.Reset_After_Force_Exit.Rear_Deploy)
#define	ACUX_LPF_EDR                    				(TAF.Reset_After_Force_Exit.ACUX_lpf_EDR)
#define	ACUY_LPF_EDR                    				(TAF.Reset_After_Force_Exit.ACUY_lpf_EDR)
#define	LFIS_LPF_EDR                    				(TAF.Reset_After_Force_Exit.LFIS_lpf_EDR)
#define	RFIS_LPF_EDR                    				(TAF.Reset_After_Force_Exit.RFIS_lpf_EDR)
#define	ACUX_LPF                        				(TAF.Reset_After_Force_Exit.ACUX_lpf)
#define	ACUX_EDR_GB                    					(Divide_To_8bit(ACUX_LPF, EDR_8_BIT_ACC_GB_EDR_MULTIPLIER, ACUX_EDR_GB_DIVIDE, EDR_8_BIT_ACC_GB_EDR_OFFSET, EDR_8_BIT_MAX, EDR_8_BIT_MIN))
#define	ACUY_LPF                        				(TAF.Reset_After_Force_Exit.ACUY_lpf)
#define	ACUY_EDR_GB                    					(Divide_To_8bit(ACUY_LPF, EDR_8_BIT_ACC_GB_EDR_MULTIPLIER, ACUX_EDR_GB_DIVIDE, EDR_8_BIT_ACC_GB_EDR_OFFSET, EDR_8_BIT_MAX, EDR_8_BIT_MIN))
#define	LFIS_LPF                        				(TAF.Reset_After_Force_Exit.LFIS_lpf)
#define	RFIS_LPF                        				(TAF.Reset_After_Force_Exit.RFIS_lpf)
#define	ACUX_LPF_GAIN                        			(TAF.Reset_After_Force_Exit.ACUX_lpf_gain)
#define	ACUY_LPF_GAIN                        			(TAF.Reset_After_Force_Exit.ACUY_lpf_gain)
#define	LFIS_LPF_GAIN                        			(TAF.Reset_After_Force_Exit.LFIS_lpf_gain)
#define	RFIS_LPF_GAIN                        			(TAF.Reset_After_Force_Exit.RFIS_lpf_gain)
#define	ACUX_LPF_EDR_BUFFER                        		(TAF.Reset_After_Force_Exit.ACUX_lpf_EDR_Buffer)
#define	ACUY_LPF_EDR_BUFFER                        		(TAF.Reset_After_Force_Exit.ACUY_lpf_EDR_Buffer)
#define	LFIS_LPF_EDR_BUFFER                        		(TAF.Reset_After_Force_Exit.LFIS_lpf_EDR_Buffer)
#define	RFIS_LPF_EDR_BUFFER                        		(TAF.Reset_After_Force_Exit.RFIS_lpf_EDR_Buffer)
#define	ACUX_LPF_EDR_BUFFER_INDEX                       (TAF.Reset_After_Force_Exit.ACUX_lpf_EDR_Buffer_Index)
#define	ACUY_LPF_EDR_BUFFER_INDEX                       (TAF.Reset_After_Force_Exit.ACUY_lpf_EDR_Buffer_Index)
#define	LFIS_LPF_EDR_BUFFER_INDEX                       (TAF.Reset_After_Force_Exit.LFIS_lpf_EDR_Buffer_Index)
#define	RFIS_LPF_EDR_BUFFER_INDEX                       (TAF.Reset_After_Force_Exit.RFIS_lpf_EDR_Buffer_Index)
#define	FRONT_ALGO_ON                          			(TAF.Reset_After_Force_Exit.Reset_After_Exit.AlgoOn)
#define	STG2_DELAY_COUNTER              				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Stg2_Delay_Counter)
#define	STG3_DELAY_COUNTER              				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Stg3_Delay_Counter)
#define	FRONT_ALGO_EXIT_REGION_COUNTER  				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Front_Algo_Exit_Region_Counter)
#define	FLAG_ALREADY_RESET              				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Already_Reset)
#define	SPRING_SWITCH_COUNTER           				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Spring_Switch_Counter)
#define	FRONT_DELTA_VELOCITY                  			(TAF.Reset_After_Force_Exit.Reset_After_Exit.Delta_Velocity)
#define	FRONT_DELTA_VELOCITY_KPH                  		(Divide_To_8bit((-FRONT_DELTA_VELOCITY), EDR_8_BIT_VEL_GB_EDR_MULTIPLIER, FRONT_VELOCITY_KPH_DIVIDE, EDR_8_BIT_VEL_GB_EDR_OFFSET, EDR_8_BIT_GB_EDR_MAX, EDR_8_BIT_GB_EDR_MIN))//�ú����ڼ�¼EDR��������������V
#define	DELTA_V_BUFFER                  				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Delta_V_Buffer)
#define	DISP0                            				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Disp0)
#define	DISP1                            				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Disp1)
#define	DISP_FINAL                      				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Disp_Final)
#define	VEL_FINAL                       				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Vel_Final)
#define	LFIS_AMA                        				(TAF.Reset_After_Force_Exit.Reset_After_Exit.LFIS_ama)
#define	RFIS_AMA                        				(TAF.Reset_After_Force_Exit.Reset_After_Exit.RFIS_ama)
#define ACUX_POWER										(TAF.Reset_After_Force_Exit.Reset_After_Exit.Pwr)
#define ACUY_POWER										(TAF.Reset_After_Force_Exit.Reset_After_Exit.YPwr)
#define NAVI_ACUY_POWER									(TAF.Reset_After_Force_Exit.Reset_After_Exit.NYPwr)
#define	MU_STG1_N_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg1_N_Crossed)
#define	MU_STG1_S_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg1_S_Crossed)
#define	MU_STG2_N_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg2_N_Crossed)
#define	MU_STG2_S_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg2_S_Crossed)
#define	MU_STG3_N_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg3_N_Crossed)
#define	MU_STG3_S_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Stg3_S_Crossed)
#define	VSEN_N_CROSSED                  				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.Vsen_N_Crossed)
#define	VSEN_S_CROSSED                  				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.Vsen_S_Crossed)
#define	FIS_SWITCH_CROSSED              				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.FIS_Switch_Crossed)
#define	MU_REAR_CROSSED                 				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.MU_Rear_Crossed)
#define	VSEN_REAR_CROSSED               				(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.Vsen_Rear_Crossed)
#define	PWR_SWITCH_CROSSED								(TAF.Reset_After_Force_Exit.Reset_After_Exit.Flag_Reset.Pwr_Switch_Crossed)
#define	BIN_LIMIT_LENGTH                      			(BIN_COUNT_LENGTH+1)
#define	FRONT_EDR_BUFFER_LENGTH                      	(10)
#define	FRONT_DECISION_LEVEL_LENGTH                     (3)
						
/**	Public TYPEDEFS	**/
typedef	struct	{
	UNS8		Unused:4;
	UNS8		Pwr_Switch_Crossed:1;
	UNS8		Vsen_Rear_Crossed:1;
	UNS8		MU_Rear_Crossed:1;
	UNS8		FIS_Switch_Crossed:1;
	UNS8		Vsen_S_Crossed:1;
	UNS8		Vsen_N_Crossed:1;
	UNS8		MU_Stg3_S_Crossed:1;
	UNS8		MU_Stg3_N_Crossed:1;
	UNS8		MU_Stg2_S_Crossed:1;
	UNS8		MU_Stg2_N_Crossed:1;
	UNS8		MU_Stg1_S_Crossed:1;
	UNS8		MU_Stg1_N_Crossed:1;
} TAF_FLAG_RESET_VAR_T;

typedef	struct	{			
	UNS8	AlgoOn;
	UNS16	Algo_Entered_Counter;
	UNS16   Pwr_Entered_Counter;
	UNS8	Stg2_Delay_Counter;
	UNS8	Stg3_Delay_Counter;
	UNS8	Front_Algo_Exit_Region_Counter;
	UNS8	Flag_Already_Reset;
	UNS8	Spring_Switch_Counter;
	S32		Delta_Velocity;
	S16		Delta_V_Buffer;
	S32		Disp0;
	S32		Disp1;
	S32		Disp_Final;
	S32		Vel_Final;
	S32		LFIS_ama;
	S32		RFIS_ama;
	S32 	Pwr;
	S32		YPwr;
	S32		NYPwr;
	TAF_FLAG_RESET_VAR_T Flag_Reset;
} TAF_RESET_AFTER_EXIT_VAR_T;

typedef	struct	{			
	UNS8	DecisionLevel[FRONT_DECISION_LEVEL_LENGTH];
	UNS8	Rear_Deploy;
	S8		ACUX_lpf_EDR;
	S8		ACUY_lpf_EDR;
	S8		LFIS_lpf_EDR;
	S8		RFIS_lpf_EDR;
	S16		ACUX_lpf;
	S16		ACUY_lpf;
	S16		LFIS_lpf;
	S16		RFIS_lpf;
	S32		ACUX_lpf_gain;
	S32		ACUY_lpf_gain;
	S32		LFIS_lpf_gain;
	S32		RFIS_lpf_gain;
	S8 		ACUX_lpf_EDR_Buffer[FRONT_EDR_BUFFER_LENGTH];//window maximum is 30
	S8 		ACUY_lpf_EDR_Buffer[FRONT_EDR_BUFFER_LENGTH];
	S8 		LFIS_lpf_EDR_Buffer[FRONT_EDR_BUFFER_LENGTH];
	S8 		RFIS_lpf_EDR_Buffer[FRONT_EDR_BUFFER_LENGTH];
	UNS8	ACUX_lpf_EDR_Buffer_Index;
	UNS8	ACUY_lpf_EDR_Buffer_Index;
	UNS8	LFIS_lpf_EDR_Buffer_Index;
	UNS8	RFIS_lpf_EDR_Buffer_Index;
	TAF_RESET_AFTER_EXIT_VAR_T Reset_After_Exit;
} TAF_RESET_AFTER_FORCE_EXIT_VAR_T;


typedef	struct	{			

	UNS8	Algo_1ms_Counter;
	
	UNS16	Bin_Limit[BIN_LIMIT_LENGTH];
	TAF_RESET_AFTER_FORCE_EXIT_VAR_T Reset_After_Force_Exit;
}	TAF_GLOBAL_VAR_T;								


/**	GLOBAL	DATA Decalre	**/						

extern TAF_GLOBAL_VAR_T TAF;

/**	GLOBAL	FUNCTIONS Declare	**/	
extern void TAF_InitializeRam(void);
extern void TAF_Algo(S16 SDMX, S16 SDMY,S16 SDMZ, S16 LFIS, S16 RFIS);

extern   S16 Divide_To_8bit(S32 input, S16 Multiplier, UNS16 Divide, UNS8 Offset, S16 Max, S16 Min);

#endif	/*	__TAF_H__	*/
