/*
 * disp.h
 *
 *  Created on: Dec 14, 2023
 *      Author: liuzhimin
 */

#ifndef RTE_DISP_H_
#define RTE_DISP_H_


typedef enum
{
	DISP_STATUS_INIT = 0,
	DISP_STATUS_TEST,
	DISP_STATUS_NRST,
	DISP_STATUS_ACTIVE,
	DISP_STATUS_INACTIVE,
	DISP_STATUS_OFF

} DISP_MODULE_STATUS_E;


typedef enum
{
	TRIGGE_TYPE_POLLING = 0,		/*Polling status change*/
	TRIGGE_TYPE_KEY,				/*Button triggered display */
	TRIGGE_TYPE_MAX,				/*Error */
} DISP_TRIGGE_TYPE_E;

extern BOOL EDR_BleActiveFlg;

void Disp_DelayOutput(void);

UNS8 Fan_GetTempThres(void);
void Disp_SetFanLed(UNS8 mode);
DISP_MODULE_STATUS_E Disp_GetModuleStatus(void);
void Disp_UpdateData(DISP_TRIGGE_TYPE_E  trtyp);
void Disp_RamInit(void);
void Disp_Routine(void);
void Disp_RestFlashData(void);
#endif /* RTE_DISP_H_ */
